# Interface Intersection

More exact information on what a "hit" operation actually hit on a object. Such as position, normal and distance.

interface Intersection {
distance: number;
normal: Vector3;
position: Vector3;
}

##### Index

### Properties

distance
normal
position

## Properties

### distance

distance: number

Distance from camera to the intersection.

### normal

normal: Vector3

Generally the normal of the hit geometry face. There are exceptions when the intersection is approximated, such as when intersecting a point in 3D space.

### position

position: Vector3

Generally the position of the intersection on the intersected face.